/*
** Module   : Spawner.java
** Abstract : define Spawner contract.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20131118 First version.
*/

package com.goldencode.p2j.main;

public interface Spawner
{
   /**
    * Notify when the remote embedded server is ready and listen.
    * 
    * @param   uri
    *          The server URI on which the remote server listen.
    */
   void OnRemoteServerListen(String uri);
   
   /**
    * Spawn a new ClientDriver Java process.
    * 
    * @return  The server URI on which the remote server listen or <code>null</code>.
    */
   String spawn();
}
